Skip to main content

Overview

Company-scoped; requires Authorization: Bearer nv_sk_…. Pay-per-use via our data provider. Modes: Google My Business, Hotels, and Q&A offer a Live route plus a Standard (async) …/task route; Google Reviews, Trustpilot, and TripAdvisor are Standard only (…/task…/tasks-ready…/task/:id); Social Media engagement is Live. MCP equivalents: naive_business_discover + naive_business_execute(_async).
The Travel and Reviews primitives in the guides are use-case views over these same Business Data endpoints — there is no separate /v1/travel or /v1/reviews route. See Travel (Google Hotels + TripAdvisor) and Reviews (Google/Trustpilot/TripAdvisor reviews + social engagement).

Google My Business

MethodPathDescription
POST/v1/business/google/my-business-infoBusiness details (Live)
POST/v1/business/google/my-business-info/taskBusiness details (Standard)
GET/v1/business/google/my-business-info/tasks-readyCheck ready tasks
GET/v1/business/google/my-business-info/task/:idRetrieve task results
POST/v1/business/google/my-business-updates/taskBusiness updates (Standard)
GET/v1/business/google/my-business-updates/tasks-readyCheck ready tasks
GET/v1/business/google/my-business-updates/task/:idRetrieve task results

Google Hotels

MethodPathDescription
POST/v1/business/google/hotel-searchesSearch hotels (Live)
POST/v1/business/google/hotel-searches/taskSearch hotels (Standard)
GET/v1/business/google/hotel-searches/tasks-readyCheck ready tasks
GET/v1/business/google/hotel-searches/task/:idRetrieve task results
POST/v1/business/google/hotel-infoHotel info (Live)
POST/v1/business/google/hotel-info/taskHotel info (Standard)
GET/v1/business/google/hotel-info/tasks-readyCheck ready tasks
GET/v1/business/google/hotel-info/task/:idRetrieve task results

Google Reviews

MethodPathDescription
POST/v1/business/google/reviews/taskSubmit reviews task
GET/v1/business/google/reviews/tasks-readyCheck ready tasks
GET/v1/business/google/reviews/task/:idRetrieve review results

Google Q&A

MethodPathDescription
POST/v1/business/google/questions-and-answersQ&A data (Live)
POST/v1/business/google/questions-and-answers/taskQ&A data (Standard)
GET/v1/business/google/questions-and-answers/tasks-readyCheck ready tasks
GET/v1/business/google/questions-and-answers/task/:idRetrieve task results

Trustpilot

MethodPathDescription
POST/v1/business/trustpilot/search/taskSearch businesses
GET/v1/business/trustpilot/search/tasks-readyCheck ready search tasks
GET/v1/business/trustpilot/search/task/:idRetrieve search results
POST/v1/business/trustpilot/reviews/taskSubmit reviews task
GET/v1/business/trustpilot/reviews/tasks-readyCheck ready review tasks
GET/v1/business/trustpilot/reviews/task/:idRetrieve review results

TripAdvisor

MethodPathDescription
POST/v1/business/tripadvisor/search/taskSearch businesses
GET/v1/business/tripadvisor/search/tasks-readyCheck ready search tasks
GET/v1/business/tripadvisor/search/task/:idRetrieve search results
POST/v1/business/tripadvisor/reviews/taskSubmit reviews task
GET/v1/business/tripadvisor/reviews/tasks-readyCheck ready review tasks
GET/v1/business/tripadvisor/reviews/task/:idRetrieve review results

Social Media

MethodPathDescription
POST/v1/business/social/facebookFacebook engagement metrics
POST/v1/business/social/pinterestPinterest pin counts
POST/v1/business/social/redditReddit submission data

Utility

MethodPathDescription
GET/v1/business/google/locationsAvailable Google locations
GET/v1/business/google/languagesAvailable Google languages
GET/v1/business/tripadvisor/locationsAvailable TripAdvisor locations
GET/v1/business/tripadvisor/languagesAvailable TripAdvisor languages
POST/v1/business/id-listList task IDs

Examples

curl -X POST https://api.usenaive.ai/v1/business/google/my-business-info \
  -H "Authorization: Bearer nv_sk_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "keyword": "pizza new york", "location_code": 1023191 }'